###################### Filebeat Configuration Example #########################

# This file is an example configuration file highlighting only the most common
# options. The filebeat.full.yml file from the same directory contains all the
# supported options with more comments. You can use it as a reference.
#
# You can find the full configuration reference here:
# https://www.elastic.co/guide/en/beats/filebeat/index.html

#=========================== Filebeat prospectors =============================

filebeat.prospectors:

# Each - is a prospector. Most options can be set at the prospector level, so
# you can use different prospectors for various configurations.
# Below are the prospector specific configurations.



- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-scheduler.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-scheduler

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-game.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-game

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-consumer.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-consumer

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-payment.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-payment

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-paymentscheduler.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-paymentscheduler

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-ws.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-ws

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-access.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-access

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-db.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-db

- input_type: log
  paths:
    - /opt/tomcat/logs/mps-funcard88-ims-audit.log
  document_type: logstash.funcard88-ims
  scan_frequency: 5s
  multiline.pattern: '^[0-9]{4}-[0-9]{2}-[0-9]{2}'
  multiline.negate: true
  multiline.match: after
  fields: 
    type: mps-funcard88-ims-audit





  # Exclude lines. A list of regular expressions to match. It drops the lines that are
  # matching any regular expression from the list.
  #exclude_lines: ["^DBG"]

  # Include lines. A list of regular expressions to match. It exports the lines that are
  # matching any regular expression from the list.
  #include_lines: ["^ERR", "^WARN"]

  # Exclude files. A list of regular expressions to match. Filebeat drops the files that
  # are matching any regular expression from the list. By default, no files are dropped.
  #exclude_files: [".gz$"]

  # Optional additional fields. These field can be freely picked
  # to add additional information to the crawled log files for filtering
  #fields:
  #  level: debug
  #  review: 1

  ### Multiline options

  # Mutiline can be used for log messages spanning multiple lines. This is common
  # for Java Stack Traces or C-Line Continuation

  # The regexp Pattern that has to be matched. The example pattern matches all lines starting with [
  #multiline.pattern: ^\[

  # Defines if the pattern set under pattern should be negated or not. Default is false.
  #multiline.negate: true

  # Match can be set to "after" or "before". It is used to define if lines should be append to a pattern
  # that was (not) matched before or after or as long as a pattern is not matched based on negate.
  # Note: After is the equivalent to previous and before is the equivalent to to next in Logstash
  #multiline.match: after

